summaryrefslogtreecommitdiff
path: root/community-testing
diff options
context:
space:
mode:
authorroot <root@rshg054.dnsready.net>2012-08-31 00:04:43 +0000
committerroot <root@rshg054.dnsready.net>2012-08-31 00:04:43 +0000
commit68cdc08aec92abf91448a542e06fabbedbb583bf (patch)
tree2c42e2f29a6162e0cb5ff3db8f0b46277ab4ed90 /community-testing
parentdba5b0127d9f00a13c489f0f5893481cbe7d429b (diff)
Fri Aug 31 00:04:43 UTC 2012
Diffstat (limited to 'community-testing')
-rw-r--r--community-testing/privoxy/PKGBUILD72
-rw-r--r--community-testing/privoxy/privoxy53
-rw-r--r--community-testing/privoxy/privoxy.conf.d10
-rw-r--r--community-testing/privoxy/privoxy.install19
-rw-r--r--community-testing/privoxy/privoxy.logrotate.d8
-rw-r--r--community-testing/privoxy/privoxy.service12
6 files changed, 174 insertions, 0 deletions
diff --git a/community-testing/privoxy/PKGBUILD b/community-testing/privoxy/PKGBUILD
new file mode 100644
index 000000000..8afa9261f
--- /dev/null
+++ b/community-testing/privoxy/PKGBUILD
@@ -0,0 +1,72 @@
+# $Id: PKGBUILD 75713 2012-08-29 10:09:26Z lfleischer $
+# Maintainer: Lukas Fleischer <archlinux at cryptocrack dot de>
+# Contributor: Juergen Hoetzel <juergen@hoetzel.info>
+# Contributor: basilburn (basilburn), Paul Bredbury (brebs)
+
+pkgname=privoxy
+pkgver=3.0.19
+pkgrel=6
+pkgdesc='A web proxy with advanced filtering capabilities.'
+arch=('i686' 'x86_64')
+url='http://www.privoxy.org'
+license=('GPL')
+depends=('pcre' 'zlib')
+makedepends=('autoconf')
+backup=('etc/conf.d/privoxy'
+ 'etc/privoxy/'{config,trust,default.action,user.filter,default.filter}
+ 'etc/privoxy/'{match-all,user}.action
+ 'etc/logrotate.d/privoxy')
+install='privoxy.install'
+source=("http://downloads.sourceforge.net/ijbswa/${pkgname}-${pkgver}-stable-src.tar.gz"
+ 'privoxy'
+ 'privoxy.logrotate.d'
+ 'privoxy.conf.d'
+ 'privoxy.service')
+md5sums=('57acc79059565cc42eda67982842785d'
+ '1b4ed8c4e7e5b04b10ef41b597dc3f3b'
+ 'fc3046377137003726a151ee27b142a2'
+ '27830ef79418e277b90c1c1fa933f876'
+ '4c154a126ec17b02c623e3d451e062d9')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}-stable"
+
+ autoheader
+ autoconf
+ ./configure --prefix=/usr --sysconfdir=/etc/privoxy
+
+ make
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}-stable"
+
+ make prefix="${pkgdir}/usr" MAN_DEST="${pkgdir}/usr/share/man/man1" GROUP=42 \
+ CONF_BASE="${pkgdir}/etc/privoxy" VAR_DEST="${pkgdir}/var" install
+
+ # Don't overwrite existing log files!
+ rm "${pkgdir}/var/log/privoxy/"*
+
+ install -Dm0755 "${srcdir}/privoxy" "${pkgdir}/etc/rc.d/privoxy"
+ install -Dm0644 "${srcdir}/privoxy.logrotate.d" "${pkgdir}/etc/logrotate.d/privoxy"
+ install -Dm0644 "${srcdir}/privoxy.conf.d" "${pkgdir}/etc/conf.d/privoxy"
+
+ # Fix config paths.
+ sed -i -e 's#^confdir.*$#confdir /etc/privoxy#' -e 's#^logdir.*$#logdir /var/log/privoxy#' \
+ -e '/^user-manual/s#.*#\#user-manual /usr/share/doc/privoxy/user-manual/#' \
+ "${pkgdir}/etc/privoxy/config"
+
+ # Fix group ownership and permissions.
+ chgrp -R 42 "${pkgdir}/etc/privoxy/"
+ chgrp -R 42 "${pkgdir}/var/log/privoxy/"
+
+ find "${pkgdir}/etc/privoxy/" -type d | xargs chmod 0770
+ find "${pkgdir}/etc/privoxy/" -type f | xargs chmod 0660
+ chmod 0700 "${pkgdir}/var/log/privoxy"
+
+ # avoid conflict with filesystem>=2012.06
+ rmdir "$pkgdir/var/run"
+
+ # systemd unit file
+ install -Dm0644 "${srcdir}/privoxy.service" "${pkgdir}/usr/lib/systemd/system/privoxy.service"
+}
diff --git a/community-testing/privoxy/privoxy b/community-testing/privoxy/privoxy
new file mode 100644
index 000000000..754453de5
--- /dev/null
+++ b/community-testing/privoxy/privoxy
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+# source application-specific settings
+[ -f /etc/conf.d/privoxy ] && . /etc/conf.d/privoxy
+
+# read logdir and logfile from privoxy config
+prld=`grep ^logdir "$PRIVOXY_CONF" 2>/dev/null | cut -d' ' -f2`
+[ -n "$prld" ] || prld=/var/log/privoxy
+prlf=`grep ^logfile "$PRIVOXY_CONF" 2>/dev/null | cut -d' ' -f2`
+[ -n "$prlf" ] || prlf=logfile
+
+PID=`pidof -o %PPID /usr/sbin/privoxy`
+
+case "$1" in
+ start)
+ stat_busy "Starting Privoxy"
+ # create missing logdir and logfile
+ [ -d "$prld" ] || mkdir -p "$prld"
+ if [ ! -f "$prlf" ]; then
+ touch "$prld/$prlf" && chgrp "${PRIVOXY_GROUP}" "$prld/$prlf" && \
+ chmod 0660 "$prld/$prlf"
+ fi
+ [ -z "$PID" ] && /usr/sbin/privoxy --user ${PRIVOXY_USER}.${PRIVOXY_GROUP} \
+ ${PRIVOXY_ARGS} ${PRIVOXY_CONF}
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon privoxy
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Privoxy"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon privoxy
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
diff --git a/community-testing/privoxy/privoxy.conf.d b/community-testing/privoxy/privoxy.conf.d
new file mode 100644
index 000000000..9aa11cd67
--- /dev/null
+++ b/community-testing/privoxy/privoxy.conf.d
@@ -0,0 +1,10 @@
+# Location of the config file.
+PRIVOXY_CONF='/etc/privoxy/config'
+
+# User and group that privoxy will be run as.
+PRIVOXY_USER='privoxy'
+PRIVOXY_GROUP='privoxy'
+
+# Additional arguments.
+PRIVOXY_ARGS="--pidfile /var/run/privoxy.pid"
+
diff --git a/community-testing/privoxy/privoxy.install b/community-testing/privoxy/privoxy.install
new file mode 100644
index 000000000..c3ed75111
--- /dev/null
+++ b/community-testing/privoxy/privoxy.install
@@ -0,0 +1,19 @@
+post_install() {
+ groupadd -g 42 privoxy &>/dev/null
+ useradd -u 42 -g privoxy -d /var/spool/privoxy -s /bin/false privoxy &>/dev/null
+ chown -R privoxy:privoxy /etc/privoxy /var/log/privoxy
+
+ if [ ! -d /var/spool/privoxy ]; then
+ install -dm0770 -o privoxy -g privoxy /var/spool/privoxy
+ fi
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ userdel privoxy &>/dev/null
+ groupdel privoxy &>/dev/null
+ rm -rf var/spool/privoxy
+}
diff --git a/community-testing/privoxy/privoxy.logrotate.d b/community-testing/privoxy/privoxy.logrotate.d
new file mode 100644
index 000000000..8c3129024
--- /dev/null
+++ b/community-testing/privoxy/privoxy.logrotate.d
@@ -0,0 +1,8 @@
+/var/log/privoxy/logfile {
+ create 660 root privoxy
+ notifempty
+ compress
+ postrotate
+ /bin/kill -HUP `cat /var/run/privoxy.pid 2>/dev/null` 2> /dev/null || true
+ endscript
+}
diff --git a/community-testing/privoxy/privoxy.service b/community-testing/privoxy/privoxy.service
new file mode 100644
index 000000000..59a8884f9
--- /dev/null
+++ b/community-testing/privoxy/privoxy.service
@@ -0,0 +1,12 @@
+[Unit]
+Description=Privoxy Web Proxy With Advanced Filtering Capabilities
+After=network.target
+
+[Service]
+Type=forking
+PIDFile=/run/privoxy.pid
+ExecStart=/usr/sbin/privoxy --pidfile /run/privoxy.pid --user privoxy.privoxy /etc/privoxy/config
+SuccessExitStatus=15
+
+[Install]
+WantedBy=multi-user.target